package ru.loparev.session1

import android.content.DialogInterface
import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.widget.Button
import android.widget.Toast
import androidx.appcompat.app.AlertDialog
import androidx.appcompat.app.AppCompatActivity
import androidx.fragment.app.DialogFragment
import kotlinx.android.synthetic.main.activity_main.*
import retrofit2.Call
import retrofit2.Callback
import retrofit2.Response
import retrofit2.Retrofit
import retrofit2.converter.gson.GsonConverterFactory
import java.text.SimpleDateFormat
import java.util.*


class MyDialogFragment : DialogFragment() {}
class MainActivity : AppCompatActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)
        dateNow.text=getCurrentDate()
//add Retrofit for get JSON
        val retrofit=Retrofit.Builder()
            .baseUrl("https://www.cbr-xml-daily.ru")
            .addConverterFactory(GsonConverterFactory.create())
            .build()
        val jsonPlaceHolderAPI=retrofit.create(JsonPlaceHolderAPI::class.java)
        val call:Call<Valuta> = jsonPlaceHolderAPI.course
        call.enqueue(object :Callback<Valuta>{
            override fun onResponse(p0: Call<Valuta>, p1: Response<Valuta>) {
                val course:Valuta=p1.body()
                if (course!=null){
                    USD_value.text= String.format("%.2f",course.Valute.USD.Value.toDouble())
                    EUR_value.text=String.format("%.2f",course.Valute.EUR.Value.toDouble())
                }
            }

            override fun onFailure(p0: Call<Valuta>?, p1: Throwable?) {

            }
        })
    }


    //    Function for get date
    fun getCurrentDate(): String {
    //val currentDate=Calendar.getInstance().time
    val sdf=SimpleDateFormat("dd.M.yyyy")
    val dateString=sdf.format(Date())
    return dateString
}
//Function for message box
    fun clickEnter(view: View) {
        val li = LayoutInflater.from(this)
        val prompt: View = li.inflate(R.layout.enter, null)
        val alertDialog = AlertDialog.Builder(this)
        val button: Button = prompt.findViewById(R.id.buttonTest)
        alertDialog.setCancelable(true)
        alertDialog.setView(prompt)
        val dialog = alertDialog.create()
        button.setOnClickListener({
            dialog.dismiss()
            enterPressed()})
        dialog.show()
    }
    fun enterPressed(){
        Toast.makeText(this, "OK", Toast.LENGTH_SHORT).show()
    }


}